# GstVaDisplay

It is a generic wrapper for VADisplay. To create new instances subclasses are required, depending on the display type to use (v.gr. DRM, X11, Wayland, etc.).

The purpose of this class is to be shared among pipelines via GstContext so all the VA processing elements will use the same display entry. Application developers can create their own subclass, based on their display, and shared it via the synced bus message for the application.

## GstVaDisplay

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVaDisplay
                    ╰──GstVaDisplayDrm
                    ╰──GstVaDisplayWrapped

The common VA display object structure.

### Members

`parent` (GstObject) –

parent GstObject

Since : 1.20

### Class structure

#### GstVaDisplayClass

The common VA display object class structure.

##### Fields

`parent_class` (GstObjectClass) –

parent GstObjectClass

Since : 1.20

### GstVa.VaDisplayClass

The common VA display object class structure.

##### Attributes

`parent_class` (Gst.ObjectClass) –

parent Gst.ObjectClass

Since : 1.20

### GstVa.VaDisplayClass

The common VA display object class structure.

##### Attributes

`parent_class` (Gst.ObjectClass) –

parent Gst.ObjectClass

Since : 1.20

## GstVa.VaDisplay

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVa.VaDisplay
                    ╰──GstVa.VaDisplayDrm
                    ╰──GstVa.VaDisplayWrapped

The common VA display object structure.

### Members

`parent` (Gst.Object) –

parent Gst.Object

Since : 1.20

## GstVa.VaDisplay

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVa.VaDisplay
                    ╰──GstVa.VaDisplayDrm
                    ╰──GstVa.VaDisplayWrapped

The common VA display object structure.

### Members

`parent` (Gst.Object) –

parent Gst.Object

Since : 1.20

### Methods

#### gst_va_display_check_version

    gboolean
    gst_va_display_check_version (GstVaDisplay * self,
                                  guint major,
                                  guint minor)

Parameters:

`self` –

a GstVaDisplay

`major` –

major version to check

`minor` –

minor version to check

Returns –

whether driver version is equal or greater than major.@minor

Since : 1.24

#### GstVa.VaDisplay.prototype.check_version

    function GstVa.VaDisplay.prototype.check_version(major: Number, minor: Number): {
        // javascript wrapper for 'gst_va_display_check_version'
    }

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay

`major` (Number) –

major version to check

`minor` (Number) –

minor version to check

Returns (Number) –

whether driver version is equal or greater than major.@minor

Since : 1.24

#### GstVa.VaDisplay.check_version

    def GstVa.VaDisplay.check_version (self, major, minor):
        #python wrapper for 'gst_va_display_check_version'

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay

`major` (int) –

major version to check

`minor` (int) –

minor version to check

Returns (bool) –

whether driver version is equal or greater than major.@minor

Since : 1.24

#### gst_va_display_get_implementation

    GstVaImplementation
    gst_va_display_get_implementation (GstVaDisplay * self)

Get the the GstVaImplementation type of self.

Parameters:

`self` –

a GstVaDisplay type display.

Returns –

GstVaImplementation.

Since : 1.20

#### GstVa.VaDisplay.prototype.get_implementation

    function GstVa.VaDisplay.prototype.get_implementation(): {
        // javascript wrapper for 'gst_va_display_get_implementation'
    }

Get the the GstVa.VaImplementation type of self.

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay type display.

Returns (GstVa.VaImplementation) –

GstVa.VaImplementation.

Since : 1.20

#### GstVa.VaDisplay.get_implementation

    def GstVa.VaDisplay.get_implementation (self):
        #python wrapper for 'gst_va_display_get_implementation'

Get the the GstVa.VaImplementation type of self.

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay type display.

Returns (GstVa.VaImplementation) –

GstVa.VaImplementation.

Since : 1.20

#### gst_va_display_get_va_dpy

    gpointer
    gst_va_display_get_va_dpy (GstVaDisplay * self)

Get the VA display handle of the self.

Parameters:

`self` –

a GstVaDisplay type display.

Returns –

the VA display handle.

Since : 1.20

#### GstVa.VaDisplay.prototype.get_va_dpy

    function GstVa.VaDisplay.prototype.get_va_dpy(): {
        // javascript wrapper for 'gst_va_display_get_va_dpy'
    }

Get the VA display handle of the self.

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay type display.

Returns (Object) –

the VA display handle.

Since : 1.20

#### GstVa.VaDisplay.get_va_dpy

    def GstVa.VaDisplay.get_va_dpy (self):
        #python wrapper for 'gst_va_display_get_va_dpy'

Get the VA display handle of the self.

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay type display.

Returns (object) –

the VA display handle.

Since : 1.20

#### gst_va_display_initialize

    gboolean
    gst_va_display_initialize (GstVaDisplay * self)

If the display is set by the user (foreign) it is assumed that the driver is already initialized, thus this function is noop.

If the display is opened internally, this function will initialize the driver and it will set driver's message callbacks.

NOTE: this function is supposed to be private, only used by GstVaDisplay descendants.

Parameters:

`self` –

a GstVaDisplay

Returns –

TRUE if the VA driver can be initialized; FALSE otherwise

Since : 1.20

#### GstVa.VaDisplay.prototype.initialize

    function GstVa.VaDisplay.prototype.initialize(): {
        // javascript wrapper for 'gst_va_display_initialize'
    }

If the display is set by the user (foreign) it is assumed that the driver is already initialized, thus this function is noop.

If the display is opened internally, this function will initialize the driver and it will set driver's message callbacks.

NOTE: this function is supposed to be private, only used by GstVaDisplay descendants.

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay

Returns (Number) –

true if the VA driver can be initialized; false otherwise

Since : 1.20

#### GstVa.VaDisplay.initialize

    def GstVa.VaDisplay.initialize (self):
        #python wrapper for 'gst_va_display_initialize'

If the display is set by the user (foreign) it is assumed that the driver is already initialized, thus this function is noop.

If the display is opened internally, this function will initialize the driver and it will set driver's message callbacks.

NOTE: this function is supposed to be private, only used by GstVaDisplay descendants.

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay

Returns (bool) –

True if the VA driver can be initialized; False otherwise

Since : 1.20

### Properties

#### description

    “description” gchar *

Flags : Read

#### description

    “description” String

Flags : Read

#### description

    “self.props.description” str

Flags : Read

#### va-display

    “va-display” gpointer

Flags : Read / Write / Construct Only

#### va-display

    “va-display” Object

Flags : Read / Write / Construct Only

#### va_display

    “self.props.va_display” object

Flags : Read / Write / Construct Only

### Virtual Methods

#### create_va_display

    gpointer
    create_va_display (GstVaDisplay * self)

This is called when the subclass has to create the internal VADisplay.

Parameters:

`self` –

a GstVaDisplay instance

Returns –

The created VADisplay

#### vfunc_create_va_display

    function vfunc_create_va_display(self: GstVa.VaDisplay): {
        // javascript implementation of the 'create_va_display' virtual method
    }

This is called when the subclass has to create the internal VADisplay.

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay instance

Returns (Object) –

The created VADisplay

#### do_create_va_display

    def do_create_va_display (self):
        #python implementation of the 'create_va_display' virtual method

This is called when the subclass has to create the internal VADisplay.

Parameters:

`self` (GstVa.VaDisplay) –

a GstVa.VaDisplay instance

Returns (object) –

The created VADisplay

## Function Macros

### GST_VA_DISPLAY_IS_IMPLEMENTATION

    #define GST_VA_DISPLAY_IS_IMPLEMENTATION(display, impl) \
      (gst_va_display_is_implementation (display, G_PASTE (GST_VA_IMPLEMENTATION_, impl)))

Check whether the display is the implementation of the specified GstVaImplementation type.

Since : 1.20

## Enumerations

### GstVaFeature

##### Members

`GST_VA_FEATURE_DISABLED` (0) –

The feature is disabled.

`GST_VA_FEATURE_ENABLED` (1) –

The feature is enabled.

`GST_VA_FEATURE_AUTO` (2) –

The feature is enabled automatically.

Since : 1.22

### GstVa.VaFeature

##### Members

`GstVa.VaFeature.DISABLED` (0) –

The feature is disabled.

`GstVa.VaFeature.ENABLED` (1) –

The feature is enabled.

`GstVa.VaFeature.AUTO` (2) –

The feature is enabled automatically.

Since : 1.22

### GstVa.VaFeature

##### Members

`GstVa.VaFeature.DISABLED` (0) –

The feature is disabled.

`GstVa.VaFeature.ENABLED` (1) –

The feature is enabled.

`GstVa.VaFeature.AUTO` (2) –

The feature is enabled automatically.

Since : 1.22

### GstVaImplementation

Types of different VA API implemented drivers. These are the typical and the most widely used VA drivers.

##### Members

`GST_VA_IMPLEMENTATION_MESA_GALLIUM` (0) –

The mesa gallium implementation.

`GST_VA_IMPLEMENTATION_INTEL_I965` (1) –

The legacy i965 intel implementation.

`GST_VA_IMPLEMENTATION_INTEL_IHD` (2) –

The iHD intel implementation.

`GST_VA_IMPLEMENTATION_OTHER` (3) –

Other implementation.

`GST_VA_IMPLEMENTATION_INVALID` (4) –

Invalid implementation.

Since : 1.20

### GstVa.VaImplementation

Types of different VA API implemented drivers. These are the typical and the most widely used VA drivers.

##### Members

`GstVa.VaImplementation.MESA_GALLIUM` (0) –

The mesa gallium implementation.

`GstVa.VaImplementation.INTEL_I965` (1) –

The legacy i965 intel implementation.

`GstVa.VaImplementation.INTEL_IHD` (2) –

The iHD intel implementation.

`GstVa.VaImplementation.OTHER` (3) –

Other implementation.

`GstVa.VaImplementation.INVALID` (4) –

Invalid implementation.

Since : 1.20

### GstVa.VaImplementation

Types of different VA API implemented drivers. These are the typical and the most widely used VA drivers.

##### Members

`GstVa.VaImplementation.MESA_GALLIUM` (0) –

The mesa gallium implementation.

`GstVa.VaImplementation.INTEL_I965` (1) –

The legacy i965 intel implementation.

`GstVa.VaImplementation.INTEL_IHD` (2) –

The iHD intel implementation.

`GstVa.VaImplementation.OTHER` (3) –

Other implementation.

`GstVa.VaImplementation.INVALID` (4) –

Invalid implementation.

Since : 1.20

## Constants

### GST_CAPS_FEATURE_MEMORY_VA

    #define GST_CAPS_FEATURE_MEMORY_VA "memory:VAMemory"

Since : 1.20

### GstVa.CAPS_FEATURE_MEMORY_VA

Since : 1.20

### GstVa.CAPS_FEATURE_MEMORY_VA

Since : 1.20

### GST_VA_DISPLAY_HANDLE_CONTEXT_TYPE_STR

    #define GST_VA_DISPLAY_HANDLE_CONTEXT_TYPE_STR "gst.va.display.handle"

Since : 1.20

### GstVa.VA_DISPLAY_HANDLE_CONTEXT_TYPE_STR

Since : 1.20

### GstVa.VA_DISPLAY_HANDLE_CONTEXT_TYPE_STR

Since : 1.20

The results of the search are